﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;

namespace BaseApplicationProject
{
    public class ShapeModel : NodeViewModelBase
    {
        public string Name { get; set; }

        private bool isBoldText;

        public bool IsBoldText
        {
            get { return this.isBoldText; }
            set
            {
                if (this.isBoldText != value)
                {
                    this.isBoldText = value;
                    this.OnPropertyChanged("IsBoldText");
                }
            }
        }

        private bool isItalic;

        public bool IsItalic
        {
            get { return this.isItalic; }
            set
            {
                if (this.isItalic != value)
                {
                    this.isItalic = value;
                    this.OnPropertyChanged("IsItalic");
                }
            }
        }
        
        
    }
}
